Is 12.14 recommended over 12.17?

  • I remember that parts of this community recommended 12.14 as the best Opera version, and I know why 12.14 is preferred over 12.16. But I can't remember anyone ever mentioned [B]12.17[/B]. I'm not at home so I don't have access to the shortcuts to earlier threads here, and I can't find it by searching. I don't find the advanced search options by the way. Maybe they don't exist anymore, I barely recognize the forum.

    To anyone who are about to write a reply recommending "Chrome-Opera", please don't. I'm not interested in that sort of help. What I need help with, is to [b]choose between 12.14 and 12.17.[/b] Thanks. 🙂

  • If I were using Presto, I would opt for 12.17 for one simple reason: security.

  • All right, thanks for your input leushino. But far from all security upgrades are major, so other things may count more. For example, 12.14 is often preferred over 12.16 because 12.14 has less issues with website compatibility. As far as I can remember, there was no big difference in security between 12.14 and 12.16. I don't know about 12.17.

  • I'm still using 12.17 as my default browser, although I'm keeping an eye on the new Opera as well, and I've not found much problem with it beyond the problems it's always had with some websites. Unfortunately these are becoming more and more common and there will be no attempt by Opera to fix them now I suspect, although I still report them!
    Another reason that 12.14 was preferred by some over later Presto versions was that the default search engine could be changed at will and stuck, whereas IIRC the later versions kept shoving Google at you!
    🙂

  • Some people still use 12.14, as 12.15 was the version which removed the ability to set an arbitrary default search. Of course, some people still use 11.64 ...

    12.17 was a security update to the auto-updater itself, I'm not sure (as you'd obviously have turned of that function) if that would matter to you. There is no 12.17 for Linux or OSX - both those platforms still use 12.16. If you've chosen not to use 12.16 then 12.17 really offers you nothing. Of course Opera will not recommend 12.14, but that;s up to you.

  • [QUOTE] Another reason that 12.14 was preferred by some over later Presto versions was that the default search engine could be changed at will and stuck, whereas IIRC the later versions kept shoving Google at you!
    [/QUOTE]

    I had forgotten about the search engine, that's one reason. I very much value the freedom to choose search engine, and customize everything.

    .

    .

    @sgunhouse: I do have automatic updates turned off, so I understand 12.14 is the best Presto version. I know Pesala uses 11.64 and he has his reasons. I think he use other versions too.

    .

    .

    The biggest online risk is drive-by downloads, and I don't know how vulnerable Opera 12 (and 11) is regarding this threat. But I hope extensions such as Ghostery and Adblock will stop dangerous scripts.

    .

    .

    I sometimes use 12.02 when I read plain text pages, because 12.10 and newer are incredibly slow at finding plain text. Nobody seems to understand the reason for the severe plain text slowness but it's a problem nonetheless.

  • This is an old thread, but I found it and want to say that I tried the new Opera versions since 12.17 and don't like them half as much as Opera 12.17. Yet then I just read that 12.14 is more compatible with websites, so I just replaced 12.17 with 12.14.

    I already have IE11 and Firefox, and even with Opera 12.17 it was easy to click on a webpage and choose on the popup Opera gave "Open with" and choose Firefox or IE11, whenever a page would not work wel with Opera 12.17.

    Let's see if Opera 12.14 has less issues with web pages, although 12.17 usually worked fine, but not always.

    For security, by default I surf in the virtual space -sandbox- of Sandboxie, so I never get bugged.

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.